Removes all values

- « Ds\Pair

- Ds\Pair::__construct »

- PHP Manual
- Ds\Pair
- Removes all values

# Ds\Pair::clear

(No version information available, might only be in Git)

Ds\Pair::clear — Removes all values

### Description

public Ds\Pair::clear(): void

Removes all values from the pair.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Ds\Pair::clear() example

    <?php
    $pair = new \Ds\Pair("a", 1);
    print_r($pair);

    $pair->clear();
    print_r($pair);
    ?>

The above example will output something similar to:

    Ds\Pair Object
    (
        [0] => 1
        [1] => 2
        [2] => 3
    )
    Ds\Pair Object
    (
    )